//**********************************************************************
// GetLastErrorMessage
// -------------------
// Return a string describing the last error message
//**********************************************************************

// Use a prototype to specify the default value for the LastError arg

const char* GetLastErrorMessage(DWORD LastError = -1);

const char* GetLastErrorMessage(DWORD LastError)
{ DWORD d;
  static char errmsg[1024];

  if (LastError == (DWORD) -1)
    d = GetLastError();
  else
    d = LastError;

  strcpy(errmsg, "<unknown error>");
  FormatMessage(FORMAT_MESSAGE_FROM_SYSTEM, 0, d, 0, errmsg, 1023, NULL);
  return(errmsg);
}


