//**********************************************************************
// CRhsAdminSvc
// ============
//**********************************************************************

#ifndef _INC_CRHSADMINSVC
#define _INC_CRHSADMINSVC

#include "CNTService.h"


//**********************************************************************
// Forward definition of classes
// -----------------------------
//**********************************************************************

class CRhsSecurityDescriptor;


//**********************************************************************
// CRhsAdminSvc
// ------------
//**********************************************************************

class CRhsAdminSvc : public CNTService
{

  public:
    CRhsAdminSvc();

    virtual BOOL OnInit();
    virtual void OnStop();
    virtual void Run();

    BOOL ExecApp(const char* AppName);

  private:
    HANDLE m_Listen;
    HANDLE m_ServerThread;
    CRhsSecurityDescriptor* m_SD;
};


//**********************************************************************
// End of CRhsAdminSvc
// -------------------
//**********************************************************************

#endif // _INC_CRHSADMINSVC

